package google.visualization;

import com.google.gwt.core.client.JavaScriptObject;
import com.google.gwt.core.client.JsArrayString;
import jsinterop.annotations.JsConstructor;
import jsinterop.annotations.JsOverlay;
import jsinterop.annotations.JsPackage;
import jsinterop.annotations.JsProperty;
import jsinterop.annotations.JsType;

/**
 * Class generated by scraping: https://developers.google.com/chart/interactive/docs/gallery/[doc]
 * using
 *
 * @author <a href="mailto:Roland.Schweitzer@gmail.com">Roland Schweitzer</a>
 */
@JsType(isNative=true,namespace= JsPackage.GLOBAL,name="Object")
public class AnnotationChartOptions {

    @JsConstructor
    public AnnotationChartOptions() {

    }


@JsProperty
String highlightDot;
@JsProperty
String dateFormat;
@JsProperty
Number thickness;
@JsProperty
java.util.Map<Number, String> numberFormats;
@JsProperty
String allValuesSuffix;
@JsProperty
Boolean displayZoomButtons;
@JsProperty
JsArrayString colors;
@JsProperty
Boolean displayLegendDots;
@JsProperty
java.util.Date zoomStartTime;
@JsProperty
Boolean displayExactValues;
@JsProperty
Number min;
@JsProperty
String wmode;
@JsProperty
Boolean displayDateBarSeparator;
@JsProperty
Number max;
@JsProperty
Boolean displayAnnotationsFilter;
@JsProperty
Number[] scaleColumns;
@JsProperty
Number fill;
@JsProperty
Boolean displayAnnotations;
@JsProperty
Boolean allowHtml;
@JsProperty
Number annotationsWidth;
@JsProperty
String scaleType;
@JsProperty
Boolean allowRedraw;
@JsProperty
Boolean displayRangeSelector;
@JsProperty
java.util.Date zoomEndTime;
@JsProperty
Boolean displayLegendValues;
@JsProperty
String legendPosition;
@JsOverlay
public final String getHighlightDot() {
return this.highlightDot;
}
@JsOverlay
public final void setHighlightDot(String highlightDot) {
this.highlightDot=highlightDot;
}
@JsOverlay
public final String getDateFormat() {
return this.dateFormat;
}
@JsOverlay
public final void setDateFormat(String dateFormat) {
this.dateFormat=dateFormat;
}
@JsOverlay
public final Number getThickness() {
return this.thickness;
}
@JsOverlay
public final void setThickness(Number thickness) {
this.thickness=thickness;
}
@JsOverlay
public final java.util.Map<Number,String> getNumberFormats() {
return this.numberFormats;
}
@JsOverlay
public final void setNumberFormats(java.util.Map<Number,String> numberFormats) {
this.numberFormats=numberFormats;
}
@JsOverlay
public final String getAllValuesSuffix() {
return this.allValuesSuffix;
}
@JsOverlay
public final void setAllValuesSuffix(String allValuesSuffix) {
this.allValuesSuffix=allValuesSuffix;
}
@JsOverlay
public final Boolean getDisplayZoomButtons() {
return this.displayZoomButtons;
}
@JsOverlay
public final void setDisplayZoomButtons(Boolean displayZoomButtons) {
this.displayZoomButtons=displayZoomButtons;
}
@JsOverlay
public final String[] getColors() {
String[] temp = new String[colors.length()];
for (int i = 0; i < colors.length(); i++) {
temp[i] = colors.get(i);
}
return temp;
}
@JsOverlay
public final void setColors(String[] incolors) {
JsArrayString temp = JavaScriptObject.createArray().cast();
for (int i = 0; i < incolors.length; i++) {
temp.push(incolors[i]);
}
this.colors=temp;}
@JsOverlay
public final Boolean getDisplayLegendDots() {
return this.displayLegendDots;
}
@JsOverlay
public final void setDisplayLegendDots(Boolean displayLegendDots) {
this.displayLegendDots=displayLegendDots;
}
@JsOverlay
public final java.util.Date getZoomStartTime() {
return this.zoomStartTime;
}
@JsOverlay
public final void setZoomStartTime(java.util.Date zoomStartTime) {
this.zoomStartTime=zoomStartTime;
}
@JsOverlay
public final Boolean getDisplayExactValues() {
return this.displayExactValues;
}
@JsOverlay
public final void setDisplayExactValues(Boolean displayExactValues) {
this.displayExactValues=displayExactValues;
}
@JsOverlay
public final Number getMin() {
return this.min;
}
@JsOverlay
public final void setMin(Number min) {
this.min=min;
}
@JsOverlay
public final String getWmode() {
return this.wmode;
}
@JsOverlay
public final void setWmode(String wmode) {
this.wmode=wmode;
}
@JsOverlay
public final Boolean getDisplayDateBarSeparator() {
return this.displayDateBarSeparator;
}
@JsOverlay
public final void setDisplayDateBarSeparator(Boolean displayDateBarSeparator) {
this.displayDateBarSeparator=displayDateBarSeparator;
}
@JsOverlay
public final Number getMax() {
return this.max;
}
@JsOverlay
public final void setMax(Number max) {
this.max=max;
}
@JsOverlay
public final Boolean getDisplayAnnotationsFilter() {
return this.displayAnnotationsFilter;
}
@JsOverlay
public final void setDisplayAnnotationsFilter(Boolean displayAnnotationsFilter) {
this.displayAnnotationsFilter=displayAnnotationsFilter;
}
@JsOverlay
public final Number[] getScaleColumns() {
return this.scaleColumns;
}
@JsOverlay
public final void setScaleColumns(Number[] scaleColumns) {
this.scaleColumns=scaleColumns;
}
@JsOverlay
public final Number getFill() {
return this.fill;
}
@JsOverlay
public final void setFill(Number fill) {
this.fill=fill;
}
@JsOverlay
public final Boolean getDisplayAnnotations() {
return this.displayAnnotations;
}
@JsOverlay
public final void setDisplayAnnotations(Boolean displayAnnotations) {
this.displayAnnotations=displayAnnotations;
}
@JsOverlay
public final Boolean getAllowHtml() {
return this.allowHtml;
}
@JsOverlay
public final void setAllowHtml(Boolean allowHtml) {
this.allowHtml=allowHtml;
}
@JsOverlay
public final Number getAnnotationsWidth() {
return this.annotationsWidth;
}
@JsOverlay
public final void setAnnotationsWidth(Number annotationsWidth) {
this.annotationsWidth=annotationsWidth;
}
@JsOverlay
public final String getScaleType() {
return this.scaleType;
}
@JsOverlay
public final void setScaleType(String scaleType) {
this.scaleType=scaleType;
}
@JsOverlay
public final Boolean getAllowRedraw() {
return this.allowRedraw;
}
@JsOverlay
public final void setAllowRedraw(Boolean allowRedraw) {
this.allowRedraw=allowRedraw;
}
@JsOverlay
public final Boolean getDisplayRangeSelector() {
return this.displayRangeSelector;
}
@JsOverlay
public final void setDisplayRangeSelector(Boolean displayRangeSelector) {
this.displayRangeSelector=displayRangeSelector;
}
@JsOverlay
public final java.util.Date getZoomEndTime() {
return this.zoomEndTime;
}
@JsOverlay
public final void setZoomEndTime(java.util.Date zoomEndTime) {
this.zoomEndTime=zoomEndTime;
}
@JsOverlay
public final Boolean getDisplayLegendValues() {
return this.displayLegendValues;
}
@JsOverlay
public final void setDisplayLegendValues(Boolean displayLegendValues) {
this.displayLegendValues=displayLegendValues;
}
@JsOverlay
public final String getLegendPosition() {
return this.legendPosition;
}
@JsOverlay
public final void setLegendPosition(String legendPosition) {
this.legendPosition=legendPosition;
}

}
